# Uses of Class
org.jmol.modelset.LabelToken

Packages that use LabelToken
Package
Description
org.jmol.modelset
org.jmol.modelsetbio

## Uses of LabelToken in org.jmol.modelset

Methods in org.jmol.modelset that return LabelToken
Modifier and Type
Method
Description
`static LabelToken[]`
LabelToken.`compile(Viewer vwr, String strFormat, char chAtom, Map<String,Object> htValues)`
Compiles a set of tokens for each primitive element of a label.
`LabelToken`
AtomCollection.`getLabeler()`
///////// atoms //////////////
Methods in org.jmol.modelset with parameters of type LabelToken
Modifier and Type
Method
Description
`static String`
LabelToken.`formatLabelAtomArray(Viewer vwr, Atom atom, LabelToken[] tokens, char chAtom, int[] indices, P3 ptTemp)`
returns a formatted string based on the precompiled label tokens
`static String`
LabelToken.`formatLabelBond(Viewer vwr, Bond bond, LabelToken[] tokens, Map<String,Object> values, int[] indices, P3 ptTemp)`
`static String`
LabelToken.`getLabel(LabelToken[] tokens)`
`static void`
LabelToken.`setValues(LabelToken[] tokens, Map<String,Object> values)`

## Uses of LabelToken in org.jmol.modelsetbio

Methods in org.jmol.modelsetbio with parameters of type LabelToken
Modifier and Type
Method
Description
`void`
BioModel.`getPdbData(String type, char ctype, boolean isDraw, BS bsSelected, OC out, LabelToken[] tokens, SB pdbCONECT, BS bsWritten)`